=== debian/changelog ===
util-linux (2.40.2-14ubuntu1.1) plucky; urgency=medium

  * debian/patches/ubuntu/lp-2111723-0001-lscpu-use-CPU-types-de-
    duplication.patch: [PATCH 1/3] lscpu: use CPU types de-duplication.
    Thanks to Karel Zak <kzak@redhat.com>.  Closes LP: #2111723.
  * debian/patches/ubuntu/lp-2111723-0002-tests-update-lscpu-vmware_fpe-
    output.patch: [PATCH 2/3] tests: update lscpu vmware_fpe output.
    Thanks to Karel Zak <kzak@redhat.com>.  Closes LP: #2111723.
  * debian/patches/ubuntu/lp-2111723-0003-tests-add-dump-from-ARM-with-
    A510-A710-A715-X3.patch: [PATCH 3/3] tests: add dump from ARM with
    A510+A710+A715+X3.  Thanks to Karel Zak <kzak@redhat.com>.  Closes
    LP: #2111723.

 -- Andreas Glinserer <andreas.glinserer@canonical.com>  Thu, 05 Jun 2025 15:03:52 +0200

util-linux (2.40.2-14ubuntu1) plucky; urgency=medium

  * Merge with Debian unstable (LP: #2091862).
      Note: this is the first merge of this package made through git-ubuntu.
      That explains some changes of formatting in the changelog entries.
    Remaining changes:
    - Add sulogin-fallback-static-sh.patch
      Add support for /bin/static-sh as fallback if the regular shell fails to
      execute. Patch ported from sysvinit. (see LP #505887)
    - Add sulogin-lockedpwd.patch
      Make sure file systems can be fixed on machines with locked root
      accounts (as Ubuntu does by default). Don't require --force for sulogin.
    - d/p/ubuntu/lp-2030793-make-check-pidfd.patch
      Skip tests lsfd/column-name-pidfd,lsfd/mkfds-pidfd that fail when run
      using the Focal kernel
    - d/rules: disable libmount mountfs support
      Disable brand new feature with --disable-libmount-mountfd-support that
      causes inability to deploy MAAS LP #2037417.
    Dropped changes:
    - d/p/ubuntu/lp2090972-libblkid-fix-spurious-[...].patch
      This is now in d/p/upstream-master/libblkid-fix-spurious-[...].patch

 -- Florent 'Skia' Jacquet <florent.jacquet@canonical.com>  Mon, 16 Dec 2024 13:12:37 +0100

util-linux (2.40.2-14) unstable; urgency=medium

  [ Florent 'Skia' Jacquet ]
  * d/tests: add 'login' test

  [ Chris Hofstaedtler ]
  * tests/login: explicitly depend on passwd for useradd

 -- Chris Hofstaedtler <zeha@debian.org>  Tue, 07 Jan 2025 15:12:09 +0100

util-linux (2.40.2-13) unstable; urgency=medium

  * Add patches from upstream master branch fixing various bugs,
    incl. fixes for cachestat on alpha.

 -- Chris Hofstaedtler <zeha@debian.org>  Thu, 26 Dec 2024 13:52:42 +0100

util-linux (2.40.2-12) unstable; urgency=medium

  * Stop building utmpdump, should not be necessary on wtmpdb systems
  * Stop marking mkfds-socketpair test as failing
  * Skip tmpfs-sensitive tests if fstype cannot be determined
  * Amend NEWS entry to hint updating /root/.profile (Closes: #1088009)

 -- Chris Hofstaedtler <zeha@debian.org>  Fri, 06 Dec 2024 13:35:11 +0100

util-linux (2.40.2-11) unstable; urgency=medium

  * tests: Temporarily mark fincore as failing in unshare
  * Stop installing mesg, write

 -- Chris Hofstaedtler <zeha@debian.org>  Wed, 13 Nov 2024 13:03:57 +0100

util-linux (2.40.2-10) unstable; urgency=medium

  * d/gbp.conf: set debian-branch to debian/unstable

 -- Chris Hofstaedtler <zeha@debian.org>  Sat, 02 Nov 2024 23:01:29 +0100

util-linux (2.40.2-9) unstable; urgency=medium

  [ Pino Toscano ]
  * Fix newgrp permissions only on Linux

  [ Chris Hofstaedtler ]
  * Add upstream patch to fix tv_usec formatting (Closes: #1083006)

 -- Chris Hofstaedtler <zeha@debian.org>  Tue, 01 Oct 2024 20:13:03 +0200

util-linux (2.40.2-8) unstable; urgency=medium

  * Mark nologin, newgrp binaries and man pages linux-any
  * Install manpages using dh_install
  * Import patches from upstream master
    * newgrp: Optionally execute a program after group change
    * Treat out of memory as error
    * agetty: add "systemd" to --version output
    * lscpu: optimize query virt pci device
    * more: make sure we have data on stderr
    Thanks to Gábor Németh <homar@riseup.net> (Closes: #1078122)
  * Revert "Remove sg symlink to newgrp"
  * Install sg symlink only on Linux
  * Install write(1) manpage
  * salsa-ci: add nodoc profile

 -- Chris Hofstaedtler <zeha@debian.org>  Mon, 09 Sep 2024 23:20:25 +0200

util-linux (2.40.2-7) unstable; urgency=medium

  * login: update Section to admin (like in src:shadow)
    Thanks to Johannes Schauer Marin Rodrigues <josch@debian.org>
  * Stop installing getopt-example.tcsh.
    Per lintian tag csh-considered-harmful and policy section 10.4.

 -- Chris Hofstaedtler <zeha@debian.org>  Wed, 14 Aug 2024 12:29:34 +0200

util-linux (2.40.2-6) unstable; urgency=medium

  * Remove sg symlink to newgrp.
    Our newgrp does not take a command to execute, so stop pretending
    it works like sg. At least for now, we will not have sg.
    Addresses #1078122.

 -- Chris Hofstaedtler <zeha@debian.org>  Wed, 07 Aug 2024 18:35:53 +0200

util-linux (2.40.2-5) unstable; urgency=medium

  [ Chris Hofstaedtler ]
  * Do not build login package for stage1 (Closes: #1078027)

  [ Sven Joachim ]
  * login: fix installing of /etc/pam.d/login (Closes: #1078036)

 -- Chris Hofstaedtler <zeha@debian.org>  Tue, 06 Aug 2024 21:19:26 +0200

util-linux (2.40.2-4) unstable; urgency=medium

  * Upload to unstable.

  [ Chris Hofstaedtler ]
  * Bump Standards-Version to 4.7.0
  * Patch login to support our PAM setup

  [ Helmut Grohne ]
  * Drop lastlog2 and libpam-lastlog2 from stage1 build (Closes: #1077967)

 -- Chris Hofstaedtler <zeha@debian.org>  Mon, 05 Aug 2024 17:20:49 +0200

util-linux (2.40.2-3) experimental; urgency=medium

  * Take over login package from src:shadow (Closes: #833256)

 -- Chris Hofstaedtler <zeha@debian.org>  Mon, 05 Aug 2024 02:54:35 +0200

util-linux (2.40.2-2) unstable; urgency=medium

  [ Pino Toscano ]
  * d/lastlog2.install: install systemd files only on Linux.

 -- Chris Hofstaedtler <zeha@debian.org>  Mon, 05 Aug 2024 00:31:55 +0200


