=== debian/control ===
Source: util-linux
Build-Depends:
 debhelper-compat (= 13),
 dh-exec,
 dh-package-notes,
 dh-sequence-zz-debputy-rrr (>= 0.1.23~),
 asciidoctor <!stage1 !nodoc>,
 bc <!stage1 !nocheck>,
 bison,
 flex,
 gettext,
 libaudit-dev [linux-any] <!stage1>,
 libcap-ng-dev [linux-any] <!stage1>,
 libcrypt-dev <!stage1>,
 libcryptsetup-dev [linux-any] <!pkg.util-linux.noverity>,
 libncurses-dev,
 libpam0g-dev <!stage1>,
 libreadline-dev,
 libselinux1-dev [linux-any],
 libsqlite3-dev,
 libsystemd-dev [linux-any] <!stage1>,
 libtool,
 libudev-dev [linux-any] <!stage1>,
 netbase <!stage1 !nocheck>,
 pkgconf,
 po-debconf,
 po4a,
 socat <!stage1 !nocheck>,
 systemd [linux-any] <!stage1>,
 systemd-dev [linux-any] <!stage1>,
 zlib1g-dev,
Build-Conflicts:
 libedit-dev,
Section: utils
Priority: required
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: util-linux packagers <util-linux@packages.debian.org>
Uploaders:
 Chris Hofstaedtler <zeha@debian.org>,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/debian/util-linux
Vcs-Git: https://salsa.debian.org/debian/util-linux.git
Homepage: https://github.com/util-linux/util-linux
X-Style: black

Package: util-linux
Architecture: any
Build-Profiles: <!stage1>
Essential: yes
Recommends:
 sensible-utils,
Suggests:
 dosfstools,
 kbd,
 util-linux-extra,
 util-linux-locales,
 wtmpdb,
Provides:
 hardlink,
Conflicts:
 hardlink,
Replaces:
 hardlink,
Pre-Depends:
# (Pre-)Depend on libpam-*, so runuser/su work.
 libpam-modules,
 libpam-runtime,
 ${misc:Pre-Depends},
Multi-Arch: foreign
Description: miscellaneous system utilities
 This package contains a number of important utilities, most of which
 are oriented towards maintenance of your system. Some of the more
 important utilities included in this package allow you to view kernel
 messages, create new filesystems, view block device information,
 interface with real time clock, etc.

Package: util-linux-locales
Architecture: all
Build-Profiles: <!stage1>
Section: localization
Priority: optional
Depends:
 util-linux (>= ${source:Upstream-Version}),
Breaks:
 manpages-cs (<< 4.19.0-7~),
 manpages-da (<< 4.19.0-7~),
 manpages-de (<< 4.19.0-7~),
 manpages-de-dev (<< 4.19.0-7~),
 manpages-es (<< 4.19.0-7~),
 manpages-fi (<< 4.19.0-7~),
 manpages-fr (<< 4.19.0-7~),
 manpages-fr-dev (<< 4.19.0-7~),
 manpages-hu (<< 4.19.0-7~),
 manpages-id (<< 4.19.0-7~),
 manpages-it (<< 4.19.0-7~),
 manpages-nl (<< 4.19.0-7~),
 manpages-pl (<< 4.19.0-7~),
 manpages-ro (<< 4.19.0-7~),
 manpages-ro-dev (<< 4.19.0-7~),
 manpages-sr (<< 4.19.0-7~),
 manpages-uk (<< 4.19.0-7~),
 manpages-uk-dev (<< 4.19.0-7~),
Replaces:
 manpages-cs (<< 4.19.0-7~),
 manpages-da (<< 4.19.0-7~),
 manpages-de (<< 4.19.0-7~),
 manpages-de-dev (<< 4.19.0-7~),
 manpages-es (<< 4.19.0-7~),
 manpages-fi (<< 4.19.0-7~),
 manpages-fr (<< 4.19.0-7~),
 manpages-fr-dev (<< 4.19.0-7~),
 manpages-hu (<< 4.19.0-7~),
 manpages-id (<< 4.19.0-7~),
 manpages-it (<< 4.19.0-7~),
 manpages-nl (<< 4.19.0-7~),
 manpages-pl (<< 4.19.0-7~),
 manpages-ro (<< 4.19.0-7~),
 manpages-ro-dev (<< 4.19.0-7~),
 manpages-sr (<< 4.19.0-7~),
 manpages-uk (<< 4.19.0-7~),
 manpages-uk-dev (<< 4.19.0-7~),
Multi-Arch: foreign
Description: locales files for util-linux
 This package contains the internationalization files for the util-linux
 package.
 .
 They are needed when you want the programs in util-linux to print their
 messages in other languages than English, or read manual pages in another
 language than English.

Package: mount
Architecture: linux-any
Build-Profiles: <!stage1>
Section: admin
Pre-Depends:
 ${shlibs:Depends},
Suggests:
 nfs-common,
Multi-Arch: foreign
Description: tools for mounting and manipulating filesystems
 This package provides the mount(8), umount(8), swapon(8),
 swapoff(8), and losetup(8) commands.

Package: bsdutils
Architecture: any
Build-Profiles: <!stage1>
Essential: yes
Recommends:
 bsdextrautils,
Multi-Arch: foreign
Description: basic utilities from 4.4BSD-Lite
 This package contains the bare minimum of BSD utilities needed for a Debian
 system: logger, renice, script, scriptlive, scriptreplay and wall. The
 remaining standard BSD utilities are provided by bsdextrautils.

Package: bsdextrautils
Architecture: any
Build-Profiles: <!stage1>
Priority: optional
Replaces:
 bsdmainutils (<< 12.1.3),
Breaks:
 bsdmainutils (<< 12.1.3),
Multi-Arch: foreign
Description: extra utilities from 4.4BSD-Lite
 This package contains some extra BSD utilities: col, colcrt, colrm, column,
 hd, hexdump, look, ul.
 Other BSD utilities are provided by bsdutils and calendar.

Package: fdisk
Architecture: any
Priority: important
Recommends:
 sensible-utils,
Multi-Arch: foreign
Description: collection of partitioning utilities
 This package contains the classic fdisk, sfdisk and cfdisk partitioning
 utilities from the util-linux suite.
 .
 The utilities included in this package allow you to partition
 your hard disk. The utilities supports both modern and legacy
 partition tables (eg. GPT, MBR, etc).
 .
 The fdisk utility is the classical text-mode utility.
 The cfdisk utility gives a more userfriendly curses based interface.
 The sfdisk utility is mostly for automation and scripting uses.

Package: fdisk-udeb
Architecture: hurd-any linux-any
Build-Profiles: <!stage1 !noudeb>
Priority: optional
Section: debian-installer
Package-Type: udeb
XB-Installer-Menu-Item: 99999
Description: Manually partition a hard drive (fdisk)

Package: libblkid1
Architecture: any
Section: libs
Priority: optional
Multi-Arch: same
Description: block device ID library
 The blkid library allows system programs such as fsck and mount to
 quickly and easily find block devices by filesystem UUID or label.
 This allows system administrators to avoid specifying filesystems by
 hard-coded device names and use a logical naming system instead.

Package: libblkid1-udeb
Architecture: any
Section: debian-installer
Priority: optional
Package-Type: udeb
Build-Profiles: <!noudeb>
Description: stripped down block device ID library, for debian-installer
 The blkid library allows system programs such as fsck and mount to
 quickly and easily find block devices by filesystem UUID or label.
 This allows system administrators to avoid specifying filesystems by
 hard-coded device names and use a logical naming system instead.
 .
 This is a minimal package for debian-installer.

Package: libblkid-dev
Architecture: any
Section: libdevel
Priority: optional
Depends:
 libblkid1 (= ${binary:Version}),
 libc6-dev | libc-dev,
 uuid-dev,
Multi-Arch: same
Description: block device ID library - headers
 The blkid library allows system programs such as fsck and mount to
 quickly and easily find block devices by filesystem UUID or label.
 This allows system administrators to avoid specifying filesystems by
 hard-coded device names and use a logical naming system instead.
 .
 This package contains the development environment for the blkid library.

Package: libfdisk1
Architecture: any
Section: libs
Priority: optional
Multi-Arch: same
Description: fdisk partitioning library
 The libfdisk library is used for manipulating partition tables. It is
 the core of the fdisk, cfdisk, and sfdisk tools.

Package: libfdisk1-udeb
Architecture: any
Section: debian-installer
Priority: optional
Package-Type: udeb
Build-Profiles: <!noudeb>
Description: stripped down fdisk partitioning library, for debian-installer
 The libfdisk library is used for manipulating partition tables. It is
 the core of the fdisk, cfdisk, and sfdisk tools.
 .
 This is a minimal package for debian-installer.

Package: libfdisk-dev
Architecture: any
Section: libdevel
Priority: optional
Depends:
 libblkid-dev,
 libc6-dev | libc-dev,
 libfdisk1 (= ${binary:Version}),
 uuid-dev,
Multi-Arch: same
Description: fdisk partitioning library - headers
 The libfdisk library is used for manipulating partition tables. It is
 the core of the fdisk, cfdisk, and sfdisk tools.
 .
 This package contains the development environment for the fdisk library.

Package: libmount1
Architecture: any
Section: libs
Priority: optional
Suggests:
 cryptsetup-bin [linux-any],
Multi-Arch: same
Description: device mounting library
 This device mounting library is used by mount and umount helpers.

Package: libmount1-udeb
Package-Type: udeb
Build-Profiles: <!noudeb>
Section: debian-installer
Priority: optional
Architecture: linux-any
Description: stripped down device mounting library, for debian-installer
 The device mounting library, used by mount and umount helpers.
 .
 This is a minimal package for debian-installer.

Package: libmount-dev
Architecture: linux-any
Section: libdevel
Priority: optional
Depends:
 libblkid-dev,
 libc6-dev | libc-dev,
 libmount1 (= ${binary:Version}),
 libselinux1-dev,
Multi-Arch: same
Description: device mounting library - headers
 This device mounting library is used by mount and umount helpers.
 .
 This package contains the development environment for the mount library.

Package: libsmartcols1
Architecture: any
Section: libs
Priority: optional
Multi-Arch: same
Description: smart column output alignment library
 This smart column output alignment library is used by fdisk utilities.

Package: libsmartcols1-udeb
Architecture: any
Section: debian-installer
Priority: optional
Package-Type: udeb
Build-Profiles: <!noudeb>
Description: stripped down smart column output alignment library, for debian-installer
 This smart column output alignment library is used by fdisk utilities.
 .
 This is a minimal package for debian-installer.

Package: libsmartcols-dev
Architecture: any
Section: libdevel
Priority: optional
Depends:
 libc6-dev | libc-dev,
 libsmartcols1 (= ${binary:Version}),
Multi-Arch: same
Description: smart column output alignment library - headers
 This smart column output alignment library is used by fdisk utilities.
 .
 This package contains the development environment for the mount library.

Package: libuuid1
Architecture: any
Section: libs
Priority: optional
Breaks:
 libuuid1t64 (<< ${source:Version}),
Replaces:
 libuuid1t64,
Provides:
 libuuid1t64 (= ${binary:Version}) [!arm !armeb !armel !armhf !hppa !hurd-i386 !kfreebsd-i386 !m68k !mips !mipsel !mipsn32 !mipsn32el !mipsn32r6 !mipsn32r6el !mipsr6 !mipsr6el !nios2 !powerpc !powerpcel !powerpcspe !s390 !sh3 !sh3eb !sh4 !sh4eb !sparc],
Suggests:
 uuid-runtime,
Multi-Arch: same
Description: Universally Unique ID library
 The libuuid library generates and parses 128-bit Universally Unique
 IDs (UUIDs). A UUID is an identifier that is unique within the space
 of all such identifiers across both space and time. It can be used for
 multiple purposes, from tagging objects with an extremely short lifetime
 to reliably identifying very persistent objects across a network.
 .
 See RFC 4122 for more information.

Package: uuid-runtime
Architecture: any
Build-Profiles: <!stage1>
Priority: optional
Pre-Depends:
 libuuid1,
Depends:
 adduser,
Multi-Arch: foreign
Description: runtime components for the Universally Unique ID library
 The libuuid library generates and parses 128-bit Universally Unique
 IDs (UUIDs). A UUID is an identifier that is unique within the space
 of all such identifiers across both space and time. It can be used for
 multiple purposes, from tagging objects with an extremely short lifetime
 to reliably identifying very persistent objects across a network.
 .
 See RFC 4122 for more information.
 .
 This package contains the uuidgen program and the uuidd daemon.
 .
 The uuidd daemon is used to generate UUIDs, especially time-based
 UUIDs, in a secure and guaranteed-unique fashion, even in the face of
 large numbers of threads trying to grab UUIDs running on different CPUs.
 It is used by libuuid as well as the uuidgen program.

Package: libuuid1-udeb
Architecture: any
Section: debian-installer
Priority: optional
Package-Type: udeb
Build-Profiles: <!noudeb>
Description: stripped down Universally Unique ID library, for debian-installer
