## util-linux 2.40.3

=== debian/changelog ===
util-linux (2.40.3-1.0nosystemd1) nosystemd; urgency=medium

  * depends on pam changed
  * No systemd/elogind 

 -- anticapitalista <antix@operamail.com>  Fri, 10 Jan 2025 13:05:25 +0200

util-linux (2.40.3-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Add patch from upstream to fix build of Romanian fsck.minix.8 manpage.

 -- Chris Hofstaedtler <zeha@debian.org>  Thu, 09 Jan 2025 14:13:24 +0100
