## util-linux 2.40.4

=== debian/changelog ===
util-linux (2.40.4-5) unstable; urgency=medium

  * Apply upstream patch to avoid agetty crash (Closes: #1098694)

 -- Chris Hofstaedtler <zeha@debian.org>  Tue, 25 Feb 2025 11:34:50 +0100

util-linux (2.40.4-4) unstable; urgency=medium

  [ Jörg Behrmann ]
  * Install exch (Closes: #1095655)

  [ Chris Hofstaedtler ]
  * Set Multi-Arch: same for liblastlog2-dev
  * Mark "login" test as flaky
  * Install localized manpages for exch(1)
  * debian/tests: drop oversized-chunks
  * Skip fadvise/drop test in salsa ci
  * Move resizepart from util-linux to util-linux-extra

  [ Florent 'Skia' Jacquet ]
  * d/tests: fix login test in case things™ are slow

 -- Chris Hofstaedtler <zeha@debian.org>  Mon, 17 Feb 2025 14:21:56 +0100

util-linux (2.40.4-3) unstable; urgency=medium

  * Fix disabling colors, with patch from upstream (Closes: #1094283)

 -- Chris Hofstaedtler <zeha@debian.org>  Wed, 05 Feb 2025 01:59:56 +0100

util-linux (2.40.4-2) unstable; urgency=medium

  * Apply upstream patch to forbid fallocate --posix with other options
    (Closes: #1092875)

 -- Chris Hofstaedtler <zeha@debian.org>  Tue, 28 Jan 2025 00:36:44 +0100

util-linux (2.40.4-1) unstable; urgency=medium

  * New upstream release.
  * Drop upstream-applied patch to fix Romanian fsck.minix.8 manpage build.

 -- Chris Hofstaedtler <zeha@debian.org>  Tue, 14 Jan 2025 12:37:14 +0100
