=== debian/control ===
--- 
+++ 
@@ -33,8 +33,7 @@
  libedit-dev,
 Section: utils
 Priority: required
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: util-linux packagers <util-linux@packages.debian.org>
+Maintainer: util-linux packagers <util-linux@packages.debian.org>
 Uploaders:
  Chris Hofstaedtler <zeha@debian.org>,
 Standards-Version: 4.7.0
@@ -396,3 +395,4 @@
 Package-Type: udeb
 Build-Profiles: <!noudeb>
 Description: stripped down Universally Unique ID library, for debian-installer
+ The libuuid library generates and parses 128-bit Universally Unique IDs
