## util-linux 2.41~rc1

=== debian/changelog ===
util-linux (2.41~rc1-2) experimental; urgency=medium

  [ Samuel Thibault ]
  * Fix mq_open lib missing on hurd

  [ Chris Hofstaedtler ]
  * Force UTF-8 locale during build
  * Apply upstream patch to avoid agetty crash (Closes: #1098694)

 -- Chris Hofstaedtler <zeha@debian.org>  Tue, 25 Feb 2025 13:19:39 +0100

util-linux (2.41~rc1-1) experimental; urgency=medium

  * New upstream release candidate, target experimental.
  * Rebase patches.
  * Bump uuid_time64 symbol to 2.40, for all archs.
  * Update dylib symbols.
  * Update liblastlog2-dev manual pages list.
  * Install coresched (into util-linux-extra).
  * Install bits (into util-linux-extra).
  * Install scols-filter(5) manpage.
  * Install uuidd-sysusers.conf, stop creating /var/lib/libuuid in packaging.
  * udebs: install static programs from debian/tmp.
  * Install rename bash-completion.
  * Update localised manual pages list.
  * Use d/not-installed to document not installed files.

 -- Chris Hofstaedtler <zeha@debian.org>  Wed, 19 Feb 2025 07:16:05 +0100
