=== debian/control ===
--- 
+++ 
@@ -3,6 +3,7 @@
  debhelper-compat (= 13),
  dh-exec,
  dh-package-notes,
+ dh-sequence-installsysusers,
  dh-sequence-zz-debputy-rrr (>= 0.1.23~),
  asciidoctor <!stage1 !nodoc>,
  bc <!stage1 !nocheck>,
@@ -395,4 +396,3 @@
 Package-Type: udeb
 Build-Profiles: <!noudeb>
 Description: stripped down Universally Unique ID library, for debian-installer
- The libuuid library generates and parses 128-bit Universally Unique IDs
